# TODO: rename spec/package to libdca
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	DTS Coherent Acoustics streams decoder
Summary(pl.UTF-8):	Dekoder strumieni DTS Coherent Acoustics
Name:		libdts
Version:	0.0.5
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/libdca/%{version}/libdca-%{version}.tar.bz2
# Source0-md5:	dab6b2795c66a82a6fcd4f8343343021
Patch0:		%{name}-opt.patch
URL:		http://www.videolan.org/developers/libdca.html
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1.5
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
Free decoder for the DTS Coherent Acoustics format. It consists of a
library and a command line decoder. DTS is a high quality
multi-channel (5.1) digital audio format used in DVDs and DTS audio
CDs.

%description -l pl.UTF-8
Wolnodostępny dekoder formatu DTS Coherent Acoustics. Składa się z
biblioteki i dekodera działającego z linii poleceń. DTS jest wysokiej
jakości wielokanałowym (5.1) cyfrowym formatem audio używanym w DVD i
DTS audio CD.

%package devel
Summary:	Header files for libdca library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdca
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdca library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdca.

%package static
Summary:	Static libdca library
Summary(pl.UTF-8):	Statyczna biblioteka libdca
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdca library.

%description static -l pl.UTF-8
Statyczna biblioteka libdca.

%prep
%setup -q -n libdca-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/dcadec
%attr(755,root,root) %{_bindir}/dtsdec
%attr(755,root,root) %{_bindir}/extract_dca
%attr(755,root,root) %{_bindir}/extract_dts
%attr(755,root,root) %{_libdir}/libdca.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdca.so.0
%{_mandir}/man1/dcadec.1*
%{_mandir}/man1/dtsdec.1*
%{_mandir}/man1/extract_dca.1*
%{_mandir}/man1/extract_dts.1*

%files devel
%defattr(644,root,root,755)
%doc doc/libdca.txt
%attr(755,root,root) %{_libdir}/libdca.so
%{_libdir}/libdca.la
%{_includedir}/dca.h
%{_includedir}/dts.h
%{_pkgconfigdir}/libdca.pc
%{_pkgconfigdir}/libdts.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdca.a
%{_libdir}/libdts.a
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdts.git;a=log;h=master

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> e0fe2f1
- release 2 (by relup.sh)

* Sun Nov 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 6009f6a
- updated deps and library name
- more verbose files
- BR: rpm macros >= 1.402
- todo: rename package to libdca (following upstream)

* Sun Nov 28 2010 Paweł Sikora <pluto@pld-linux.org> 7769a09
- updated to 0.0.5.

* Sun Nov 28 2010 Paweł Sikora <pluto@pld-linux.org> 1f325e1
- updated for 0.0.5.

* Sun Nov 28 2010 Paweł Sikora <pluto@pld-linux.org> 790bcaf
- obsolete.

* Wed Jun 13 2007 Jakub Bogusz <qboosh@pld-linux.org> a484f7b
- updated Source0 URL (tarball renamed to libdca, but PACKAGE remained libdts)

* Sun Apr 15 2007 Marcin Banasiak <marcin.banasiak@gmail.com> b42ef56
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a5e3759
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 80de9ee
- converted to UTF-8

* Mon Jun 26 2006 Paweł Sikora <pluto@pld-linux.org> c8b0e77
- reverted, fix avidemux!.

* Mon Jun 26 2006 Karol Krenski <charles@pld-linux.org> f81d952
- packed dts_internal.h (required by newest avidemux)
- rel. 3, STBR

* Mon Jan 30 2006 Paweł Sikora <pluto@pld-linux.org> 6ed9b5d
- pass -fno-strict-aliasing.

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> e2e3d55
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 630d089
- added bcond_without static_libs

* Sat Mar 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 4c49a4b
- updated URL, added notes

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 43c0a4f
- PIC fix in shared patch, added opt patch, release 2

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 8302456
- don't override optflags by -O3

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 4c4b1ec
- kill -prefer-non-pic

* Mon Aug 02 2004 grzegol <grzegol@pld-linux.org> 865e4ed
- build shared library

* Mon Aug 02 2004 grzegol <grzegol@pld-linux.org> df8aee8
- new

